=== debian/control ===
Source: mpich2
Section: devel
Priority: extra
Maintainer: Zach Lowry <zach@zachlowry.net>
Build-Depends: debhelper (>> 4.0.0), cdbs, binutils, libacl1, libattr1, libg2c0, libncurses5, linux-kernel-headers, python, g77, txt2man, libxt6, libxt-dev, x-dev
Standards-Version: 3.6.2.1

Package: mpich2
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends} libmpich2-1.0 (= ${Source-Version})
Recommends: mpich2-mpd (= ${Source-Version}), mpich2-doc (= ${Source-Version})
Description: An implementation of the MPI2 message-passing interface
 This is an implementation of the Message-Passing Interface (MPI). The goals of
 MPICH2 are to provide an MPI implementation for important platforms, including 
 clusters, SMPs, and massively parallel processors. It also provides a vehicle 
 for MPI implementation research and for developing new and better parallel 
 programming environments.
 .
 This package includes the program binaries.

Package: mpich2-mpd
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, python, python-xml
Conflicts: mpd
Recommends: mpich2-doc (= ${Source-Version}), ssh
Description: Process control for MPICH2
 This is an implementation of the Message-Passing Interface (MPI). The goals of
 MPICH2 are to provide an MPI implementation for important platforms, including 
 clusters, SMPs, and massively parallel processors. It also provides a vehicle 
 for MPI implementation research and for developing new and better parallel 
 programming environments.
 .
 This package includes the mpd daemon, which controls process management for
 MPI programs.

Package: mpich2-mpe
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends},  mpich2 (= ${Source-Version})
Recommends: mpich2-doc (= ${Source-Version})
Description: Analysis tools for MPICH2 programs
 This is an implementation of the Message-Passing Interface (MPI). The goals of
 MPICH2 are to provide an MPI implementation for important platforms, including 
 clusters, SMPs, and massively parallel processors. It also provides a vehicle 
 for MPI implementation research and for developing new and better parallel 
 programming environments.
 .
 This package includes the MPE environment, which provides a complete suite of 
 analysis tools for MPI programs based on port processing approach.

Package: mpich2-doc
Architecture: any
Section: doc
Priority: optional
Conflicts: mpich2 (<< 1.0.1-2)
Description: Documentation for MPICH2
 This is an implementation of the Message-Passing Interface (MPI). The goals of
 MPICH2 are to provide an MPI implementation for important platforms, including 
 clusters, SMPs, and massively parallel processors. It also provides a vehicle 
 for MPI implementation research and for developing new and better parallel 
 programming environments.
 .
 This package includes the MPICH2 documentation.

Package: libmpich2-1.0
Architecture: any
Section: libs
Conflicts: mpich2 (<< 1.0.1-2)
Replaces: libmpich2-1.0.2
Depends: ${shlibs:Depends}
Recommends: mpich2 (= ${Source-Version}), ${shlibs:Recommends}
Conflicts: mpich2 (<< 1.0.1-2), libmpich2-1.0.2
Description: Shared libraries for MPICH2
 This is an implementation of the Message-Passing Interface (MPI). The goals of
 MPICH2 are to provide an MPI implementation for important platforms, including 
 clusters, SMPs, and massively parallel processors. It also provides a vehicle 
 for MPI implementation research and for developing new and better parallel 
 programming environments.
 .
 This package includes the MPICH2 shared libraries.

Package: libmpich2-1.0-dev
Architecture: any
Section: libs
Recommends: mpich2 (= ${Source-Version})
Conflicts: mpich2 (<< 1.0.1-2), mpich2-dev, libmpich2-dev, libmpich2-1.0.2-dev
Replaces: mpich2-dev, libmpich2-dev, libmpich2-1.0.2-dev
Description: Development files for MPICH2
 This is an implementation of the Message-Passing Interface (MPI). The goals of
 MPICH2 are to provide an MPI implementation for important platforms, including 
 clusters, SMPs, and massively parallel processors. It also provides a vehicle 
 for MPI implementation research and for developing new and better parallel 
 programming environments.
 .
 This package includes the MPICH2 headers and static libraries.
